QueryCacheWrapper
Keywords: uk.ac.ic.doc.automed.wrappers.QueryCacheWrapper class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.wrappers
Class QueryCacheWrapper

    java.lang.Object
      uk.ac.ic.doc.automed.wrappers.AutoMedWrapper
          uk.ac.ic.doc.automed.wrappers.QueryCacheWrapper

    public class QueryCacheWrapper

extends AutoMedWrapper

A high-level, object-type wrapper for a `DefaultQueryCache`.

Author:
  Duc M Le dmle@doc.ic.ac.uk

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapper
`am, awf, debug, driver, emptyKeyProtection, emptyKeys, optionKeyProtection, optionKeys, password, protocol, s, url, username`

Constructor Summary
`QueryCacheWrapper()`
`QueryCacheWrapper(AccessMethod am, java.lang.String password)` This method only exists to conform with the `AutoMedWrapper`

Method Summary
`protected void` | `connect()` Empty method to comply with `AutoMedWrapper`
`ASG` | `executeIQL(ASG q)` Execute a query against the cache
`IQueryCache` | `getCacheSource()` Return the reference to the `IQueryCache` instance
`protected AutoMedWrapperFactory` | `getDefaultWrapperFactory()` Return an instance of `QueryCacheWrapperFactory` associated to this wrapper
`java.lang.String` | `getProtocolName()` The name of the `Protocol` for this wrapper
`void` | `getSODefinition(QuerySubGoal qsg)` This method is empty
`void` | `setCacheSource(IQueryCache cache)` Passes a reference to the `IQueryCache` instance

Methods inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapper
`atDebugLevel, cacheWrapper, deleteIQL, executeIQL, executeLocalQuery, getAccessMethod, getAutoMedWrapper, getAutoMedWrapper, getAutoMedWrapperFactory, getDrivers, getOption, getOptionKeyProtection, getOptionKeys, getProtocol, getQueryCache, getQueryCache, getQueryParser, getSchema, getSchema, getSODefinition, insertIQL, newAutoMedSchema, newAutoMedWrapper, newAutoMedWrapper, newAutoMedWrapper, registerWrapper, selectNewAutoMedWrapper, selectNewAutoMedWrapper, setDebugLevel, setOption, updateCache`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryCacheWrapper

    public QueryCacheWrapper()

### QueryCacheWrapper

    public QueryCacheWrapper(AccessMethod am,
                             java.lang.String password)
                      throws DataSourceException

  This method only exists to conform with the `AutoMedWrapper`

  Throws:
    `DataSourceException`

Method Detail

### setCacheSource

    public void setCacheSource(IQueryCache cache)

  Passes a reference to the `IQueryCache` instance

### getCacheSource

    public IQueryCache getCacheSource()

  Return the reference to the `IQueryCache` instance

### getProtocolName

    public java.lang.String getProtocolName()

  The name of the `Protocol` for this wrapper

  Specified by:
    `getProtocolName` in class `AutoMedWrapper`

### executeIQL

    public ASG executeIQL(ASG q)
                   throws DataSourceException,
                          NotFoundException

  Execute a query against the cache

  Specified by:
    `executeIQL` in class `AutoMedWrapper`
  Parameters:
    `q` - An IQL query held in an `ASG` which complies with the limitations of what this wrapper is able to process
  Returns:
    An `ASG` containing the results of the query
  Throws:
    `DataSourceException`
    `NotFoundException`

### connect

    protected void connect()
                    throws DataSourceException

  Empty method to comply with `AutoMedWrapper`

  Specified by:
    `connect` in class `AutoMedWrapper`
  Throws:
    `DataSourceException` - if unable to connect to the data source

### getSODefinition

    public void getSODefinition(QuerySubGoal qsg)
                         throws DataSourceException

  This method is empty

  Specified by:
    `getSODefinition` in class `AutoMedWrapper`
  Throws:
    `DataSourceException`

### getDefaultWrapperFactory

    protected AutoMedWrapperFactory getDefaultWrapperFactory()

  Return an instance of `QueryCacheWrapperFactory` associated to this wrapper

  Specified by:
    `getDefaultWrapperFactory` in class `AutoMedWrapper`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD